{% extends "layout.j2" %}
{% block body %}

{% if user.is_delegate or user.is_pi %}
<p>{{ templatestrings['onlyadmitto'] }}</p>
<p>
    Enter a <b>crsid</b> and <b>Expiry Date
    <script type="text/javascript">
    var datefield=document.createElement("input")
    datefield.setAttribute("type", "date")
    if (datefield.type!="date"){ //if browser doesnt support input type="date", tell them the format to put the date in
    document.write('(YYYY-MM-DD)')
    }
    </script>
    </b> for the Admitto account of the person you are trying to extend. You are able to extend the account for a maxmimum of {{ extension_rules['window'] }} days and you must supply a reason.
    {{ templatestrings['assistance'] }}
</p>

{% if user.is_delegate %}
<p>
    You can extend a user account on behalf of {{ user.delegate|join(', ') }}.
</p>
<ul>
{% endif %}

{% from "_helpers.html" import render_field %}
<form method="POST">
<dl>
    {{ render_field(form.crsid) }}
    {{ render_field(form.ext_date) }}
    {{ render_field(form.reason, style="height:25%", cols=50, rows=5) }}
    <input class="campl-primary-cta" type="submit" value="Extend Account">
</dl>
</form>
{% else %}
<p>
    You do not appear to be a member of Academic staff, or their appointed delegate.
    {{ templatestrings['assistance'] }}
</p>
{% endif %}
{% endblock %}
